/*
  Basic v1

  Turns on and off LEDs in different colors sequentially.
  
  Board : METE HOCA Akana R1
  Dock  : RGB Matrix Dock Rev.1
  Core  : earlephilhower / arduino-pico (https://github.com/earlephilhower/arduino-pico)
  Required Libraries : U8G2 (https://github.com/olikraus/u8g2)
                        Adafruit NeoPixel (https://github.com/adafruit/Adafruit_NeoPixel)
  Settings: Select METE HOCA Akana R1 as the board.

  Source: METE HOCA
  
  METE HOCA, 19 May 2024
  IG : https://www.instagram.com/metehoca/
  YT : https://www.youtube.com/MeteHoca
  WEB: https://www.metehoca.com/
*/

#include "AkanaLogo.h"
#include <Adafruit_NeoPixel.h>

int wait = 25;
int bright = 32;

Adafruit_NeoPixel neo(40, 24, NEO_GRB + NEO_KHZ800);

void setup() {
  logoAkana();
  neo.begin();
  neo.clear();
  neo.setBrightness(bright);
}

void loop() {
  for(int x = 0; x < 40; x++) {
    neo.setPixelColor(x, neo.Color(255, 0, 0));
    neo.show();
    delay(wait);
  }
  for(int x = 0; x < 40; x++) {
    neo.setPixelColor(x, neo.Color(0, 255, 0));
    neo.show();
    delay(wait);
  }
  for(int x = 0; x < 40; x++) {
    neo.setPixelColor(x, neo.Color(0, 0, 255));
    neo.show();
    delay(wait);
  }
  for(int x = 0; x < 40; x++) {
    neo.setPixelColor(x, neo.Color(255, 255, 255));
    neo.show();
    delay(wait);
  }
  for(int x = 0; x < 40; x++) {
    neo.setPixelColor(x, neo.Color(0, 0, 0));
    neo.show();
    delay(wait);
  }
}